
GammaLib - Action #772

Feature # 692 (Closed): Perform an extensive interface review of all classes

Review fits module classes

02/20/2013 03:13 AM - Knödlseder Jürgen

Status: Closed Start date: 02/20/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 50.00 hours

Target version: 00-08-00   

Description

History

#1 - 02/20/2013 03:14 AM - Knödlseder Jürgen

The following classes have been reviewed:  

Class Comment

GFits Now derives from GContainer and implements

HDU container manipulations

GFitsHDU card() methods now return references instead of

pointers

GFitsHeader Now derives from GContainer and implements

header container manipulations, cards now stored

in std::vector

GFitsHeaderCard Minor changes

GFitsTable Operators return pointer instead of reference to

avoid code slicing; rename append_column to

append and insert_column to insert; add size and

set methods, change arguments to references

GFitsAsciiTable Table constructor now takes reference argument,

exttype() method inline

GFitsBinTable Table constructor now takes reference argument,

exttype() method inline

GFitsTableCol Add variable-length support

GFitsTableBitCol Add variable-length support

GFitsTableBoolCol Add variable-length support

GFitsTableByteCol Add variable-length support

GFitsTableCDoubleCol Add variable-length support

GFitsTableCFloatCol Add variable-length support

GFitsTableDoubleCol Add variable-length support

GFitsTableFloatCol Add variable-length support

GFitsTableLongCol Add variable-length support

GFitsTableLongLongCol Add variable-length support

GFitsTableShortCol Add variable-length support

GFitsTableStringCol Add variable-length support

GFitsTableULongCol Add variable-length support

GFitsTableUShortCol Add variable-length support

GFitsImage All constructor arguments are references

GFitsImageByte All constructor arguments are references

GFitsImageDouble All constructor arguments are references

GFitsImageFloat All constructor arguments are references
GFitsImageLong All constructor arguments are references

GFitsImageLongLong All constructor arguments are references

GFitsImageSByte All constructor arguments are references

GFitsImageShort All constructor arguments are references

GFitsImageULong All constructor arguments are references

GFitsImageUShort All constructor arguments are references

#2 - 11/22/2013 11:38 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 20

#3 - 12/06/2013 12:53 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 20 to 100

- Remaining (hours) changed from 50.0 to 0.0

Code review terminated.
